package com.ejie.p06b.datatype.model;

import java.io.Serializable;

/**
 * XXXX
 * Inserte aquí la descripción del tipo.
 * Fecha de creación: (01/06/07)
 */
public class P06B60T00Datatype implements Serializable {
	
	private String nExpediente;
	private byte cFDeclaro = 0;
//	private int cFImpFondos = -1;
//	private int cFImpCapacidad = -1;
	private String cFImpFondos = "";
	private String cFImpCapacidad = "";
	private boolean cFContrataSeguro;
	private String cFTextoSeguro = "";
	private boolean cFContrataAval;
	private String cFTextoAval = "";

	private int operacion = -1;
	private int aprobado = 1;
	private P06B60T00Datatype datos60Originales;
	
	public boolean isEmpty() {
		if(cFDeclaro==0
//				&& cFImpFondos==-1
//				&& cFImpCapacidad==-1
				&& (cFImpFondos==null || "".equals(cFImpFondos.trim()))
//				&& cFImpCapacidad==-1
				&& (cFImpCapacidad==null || "".equals(cFImpCapacidad.trim()))
				&& !cFContrataSeguro
				&& "".equals(cFTextoSeguro.trim())
				&& !cFContrataAval
				&& "".equals(cFTextoAval.trim()))
			return true;
		return false;
	}

	public String getnExpediente() {
		return nExpediente;
	}

	public void setnExpediente(String nExpediente) {
		this.nExpediente = nExpediente;
	}

	public byte getcFDeclaro() {
		return cFDeclaro;
	}

	public void setcFDeclaro(byte cFDeclaro) {
		this.cFDeclaro = cFDeclaro;
	}

//	public int getcFImpFondos() {
//		return cFImpFondos;
//	}
//
//	public void setcFImpFondos(int cFImpFondos) {
//		this.cFImpFondos = cFImpFondos;
//	}
//
//	public int getcFImpCapacidad() {
//		return cFImpCapacidad;
//	}
//
//	public void setcFImpCapacidad(int cFImpCapacidad) {
//		this.cFImpCapacidad = cFImpCapacidad;
//	}


	/**
	 * @return the cFImpFondos
	 */
	public String getcFImpFondos() {
		return cFImpFondos;
	}

	/**
	 * @param cFImpFondos the cFImpFondos to set
	 */
	public void setcFImpFondos(String cFImpFondos) {
		this.cFImpFondos = cFImpFondos;
	}

	/**
	 * @return the cFImpCapacidad
	 */
	public String getcFImpCapacidad() {
		return cFImpCapacidad;
	}

	/**
	 * @param cFImpCapacidad the cFImpCapacidad to set
	 */
	public void setcFImpCapacidad(String cFImpCapacidad) {
		this.cFImpCapacidad = cFImpCapacidad;
	}

	public boolean iscFContrataSeguro() {
		return cFContrataSeguro;
	}

	public void setcFContrataSeguro(boolean cFContrataSeguro) {
		this.cFContrataSeguro = cFContrataSeguro;
	}

	public String getcFTextoSeguro() {
		return cFTextoSeguro;
	}

	public void setcFTextoSeguro(String cFTextoSeguro) {
		this.cFTextoSeguro = cFTextoSeguro;
	}

	public boolean iscFContrataAval() {
		return cFContrataAval;
	}

	public void setcFContrataAval(boolean cFContrataAval) {
		this.cFContrataAval = cFContrataAval;
	}

	public String getcFTextoAval() {
		return cFTextoAval;
	}

	public void setcFTextoAval(String cFTextoAval) {
		this.cFTextoAval = cFTextoAval;
	}

	/**
	 * @return the operacion
	 */
	public int getOperacion() {
		return operacion;
	}

	/**
	 * @param operacion the operacion to set
	 */
	public void setOperacion(int operacion) {
		this.operacion = operacion;
	}

	/**
	 * @return the aprobado
	 */
	public int getAprobado() {
		return aprobado;
	}

	/**
	 * @param aprobado the aprobado to set
	 */
	public void setAprobado(int aprobado) {
		this.aprobado = aprobado;
	}

	/**
	 * @return the datos60Originales
	 */
	public P06B60T00Datatype getDatos60Originales() {
		return datos60Originales;
	}

	/**
	 * @param datos60Originales the datos60Originales to set
	 */
	public void setDatos60Originales(P06B60T00Datatype datos60Originales) {
		this.datos60Originales = datos60Originales;
	}


	
	
}
